MCP Gateway
ApiProviders

List configured providers

List all configured providers grouped by type (LLM and embedding).

GET
/api/v1/settings/providers

Response Body

application/json

curl -X GET "https://loading/api/v1/settings/providers"
{
  "llm": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "provider_type": "llm",
      "provider": "string",
      "display_name": "string",
      "model": "string",
      "has_api_key": true,
      "api_key_masked": "string",
      "needs_reconfiguration": false,
      "endpoint": "string",
      "config": {},
      "is_active": true,
      "connection_verified": true,
      "connection_verified_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "embedding": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "provider_type": "llm",
      "provider": "string",
      "display_name": "string",
      "model": "string",
      "has_api_key": true,
      "api_key_masked": "string",
      "needs_reconfiguration": false,
      "endpoint": "string",
      "config": {},
      "is_active": true,
      "connection_verified": true,
      "connection_verified_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}